This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 178668 - Review Request: numpy: A fast multidimensional array facility for Python
Review Request: numpy: A fast multidimensional array facility for Python
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ed Hill
David Lawrence
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-01-22 23:15 EST by Ignacio Vazquez-Abrams
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-16 11:34:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
rpmlint output (2.85 KB, text/plain)
2006-02-03 22:37 EST, Ed Hill
no flags Details

  None (edit)
Description Ignacio Vazquez-Abrams 2006-01-22 23:15:22 EST
Spec Name or Url: http://fedora.ivazquez.net/files/extras/numpy.spec
SRPM Name or Url: http://fedora.ivazquez.net/files/extras/numpy-0.9.4-1.src.rpm
Description: The Numeric Python extensions is a set of extensions to the Python programming language which allows Python programmers to efficiently manipulate large sets of objects organized in grid-like fashion. These sets of objects are called arrays, and they can have any number of dimensions: one dimensional arrays are similar to standard Python sequences, two-dimensional arrays are similar to matrices from linear algebra. Note that one-dimensional arrays are also different from any other Python sequence, and that two-dimensional matrices are also different from the matrices of linear algebra.

This package also contains a version of f2py that works properly with it.
Comment 1 Ed Hill 2006-01-23 00:19:55 EST
Hi Ignacio, this is just a very quick look, not a full review:

good:
 + source matches upstream
 + specfile looks sane
 + license looks OK

needswork:
 - the license should probably (?) be in %doc
 - in %build, CFLAGS is set twice (redundant)
 - build on FC-4 fails with this message:

+ /usr/bin/python -c 'import pkg_resources, numpy ; numpy.test(1, 1)'
Traceback (most recent call last):
  File "<string>", line 1, in ?
ImportError: No module named pkg_resources
error: Bad exit status from /var/tmp/rpm-tmp.44127 (%check)
Comment 2 Ignacio Vazquez-Abrams 2006-02-02 14:19:39 EST
Updated.
Comment 3 Ed Hill 2006-02-03 22:37:14 EST
Created attachment 124151 [details]
rpmlint output
Comment 4 Ed Hill 2006-02-03 23:39:00 EST
Hi Ignacio, heres a more thorough review:

good:
 + good parts from comment #1 still good
 + rpmlint produces a bunch of warnings and errors but taking a
     look at them it appears that they're all just brain-dead
     rpmlint annoyances
 + package builds in mock for fc4-i386
 + BR list looks good
 + shared libs looks good (no *.la)
 + dir ownership OK
 + no %files dupes
 + permissions OK
 + has correct clean bits
 + code not content
 + some headers and libs are included but its acceptable
 + ran some simple examples and no segfaults -- good

and I don't see any blockers so its APPROVED.
Comment 5 Ignacio Vazquez-Abrams 2006-02-16 11:34:59 EST
Built under FC4 and devel.

Note You need to log in before you can comment on or make changes to this bug.